Get agent avatar
curl --request GET \
--url https://{customer-tenant}.nuwacom.ai/api/embed/chat/{agentId}/avatar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{customer-tenant}.nuwacom.ai/api/embed/chat/{agentId}/avatar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{customer-tenant}.nuwacom.ai/api/embed/chat/{agentId}/avatar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{customer-tenant}.nuwacom.ai/api/embed/chat/{agentId}/avatar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{customer-tenant}.nuwacom.ai/api/embed/chat/{agentId}/avatar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://{customer-tenant}.nuwacom.ai/api/embed/chat/{agentId}/avatar")
.header("Authorization", "Bearer <token>")
.asString();Embedded Chat
Get agent avatar
Get the avatar of the agent by its ID
GET
/
api
/
embed
/
chat
/
{agentId}
/
avatar
Get agent avatar
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique ID of the agent to retrieve the avatar for. This value is found in the embed URL (e.g., /embed/chat/{agentId}).
Response
200
Image data
⌘I